NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::LineDesigner::RailOpeningFeatureBuilder Class Reference

Represents a LineDesigner::RailOpeningFeature builder
To create a new instance of this class, use NXOpen::LineDesigner::LineDesignerManager::CreateRailOpeningFeatureBuilder
Default values. More...

Inheritance diagram for NXOpen::LineDesigner::RailOpeningFeatureBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  GateOpeningStyle { GateOpeningStyleLeft, GateOpeningStyleMiddle, GateOpeningStyleRight }
 This enum is providing possible gate opening styles. More...
 

Public Member Functions

NXOpen::DirectionGetDirVector ()
 Direction of rail opening. More...
 
NXOpen::ExpressionLinearDimElevation ()
 Returns the rail opening elevation
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimGateThickness ()
 Returns the gate thickness
Created in NX9.0.0. More...
 
NXOpen::ExpressionLinearDimOpeningWidth ()
 Returns the rail opening width
Created in NX9.0.0. More...
 
bool OpeningAddGate ()
 Returns the opening add gate is return
Created in NX9.0.0. More...
 
NXOpen::LineDesigner::RailOpeningFeatureBuilder::GateOpeningStyle OpeningStyleEnum ()
 Returns the rail opening style enum
Created in NX9.0.0. More...
 
bool ReverseDirection ()
 Returns the reverse direction of rail opening
Created in NX9.0.0. More...
 
NXOpen::PointSelectPoint ()
 Returns the selected point of rail opening feature
Created in NX9.0.0. More...
 
void SetDirVector (NXOpen::Direction *dirVector)
 
Created in NX9.0.0. More...
 
void SetOpeningAddGate (bool openingAddGate)
 Sets the opening add gate is return
Created in NX9.0.0. More...
 
void SetOpeningStyleEnum (NXOpen::LineDesigner::RailOpeningFeatureBuilder::GateOpeningStyle openingStyleEnum)
 Sets the rail opening style enum
Created in NX9.0.0. More...
 
void SetRailingFeature (NXOpen::Features::Feature *railingFrec)
 
Created in NX9.0.0. More...
 
void SetReverseDirection (bool reverseDirection)
 Sets the reverse direction of rail opening
Created in NX9.0.0. More...
 
void SetSelectPoint (NXOpen::Point *selectPoint)
 Sets the selected point of rail opening feature
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a LineDesigner::RailOpeningFeature builder
To create a new instance of this class, use NXOpen::LineDesigner::LineDesignerManager::CreateRailOpeningFeatureBuilder
Default values.

Property Value

LinearDimElevation.Value

650 (millimeters part), 25.6 (inches part)

LinearDimGateThickness.Value

37.5 (millimeters part), 1.5 (inches part)

LinearDimOpeningWidth.Value

350 (millimeters part), 14 (inches part)

OpeningAddGate

0

OpeningStyleEnum

Left


Created in NX9.0.0.

Member Enumeration Documentation

This enum is providing possible gate opening styles.

Enumerator
GateOpeningStyleLeft 

left

GateOpeningStyleMiddle 

middle

GateOpeningStyleRight 

right

Member Function Documentation

NXOpen::Direction* NXOpen::LineDesigner::RailOpeningFeatureBuilder::GetDirVector ( )

Direction of rail opening.

Returns

Created in NX9.0.0.

License requirements : ld_line_designer ("FULL LINE DESIGNER")
NXOpen::Expression* NXOpen::LineDesigner::RailOpeningFeatureBuilder::LinearDimElevation ( )

Returns the rail opening elevation
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailOpeningFeatureBuilder::LinearDimGateThickness ( )

Returns the gate thickness
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Expression* NXOpen::LineDesigner::RailOpeningFeatureBuilder::LinearDimOpeningWidth ( )

Returns the rail opening width
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

bool NXOpen::LineDesigner::RailOpeningFeatureBuilder::OpeningAddGate ( )

Returns the opening add gate is return
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::LineDesigner::RailOpeningFeatureBuilder::GateOpeningStyle NXOpen::LineDesigner::RailOpeningFeatureBuilder::OpeningStyleEnum ( )

Returns the rail opening style enum
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

bool NXOpen::LineDesigner::RailOpeningFeatureBuilder::ReverseDirection ( )

Returns the reverse direction of rail opening
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Point* NXOpen::LineDesigner::RailOpeningFeatureBuilder::SelectPoint ( )

Returns the selected point of rail opening feature
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

void NXOpen::LineDesigner::RailOpeningFeatureBuilder::SetDirVector ( NXOpen::Direction dirVector)


Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
dirVectordirvector
void NXOpen::LineDesigner::RailOpeningFeatureBuilder::SetOpeningAddGate ( bool  openingAddGate)

Sets the opening add gate is return
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
openingAddGateopeningaddgate
void NXOpen::LineDesigner::RailOpeningFeatureBuilder::SetOpeningStyleEnum ( NXOpen::LineDesigner::RailOpeningFeatureBuilder::GateOpeningStyle  openingStyleEnum)

Sets the rail opening style enum
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
openingStyleEnumopeningstyleenum
void NXOpen::LineDesigner::RailOpeningFeatureBuilder::SetRailingFeature ( NXOpen::Features::Feature railingFrec)


Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
railingFrecrailingfrec
void NXOpen::LineDesigner::RailOpeningFeatureBuilder::SetReverseDirection ( bool  reverseDirection)

Sets the reverse direction of rail opening
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
reverseDirectionreversedirection
void NXOpen::LineDesigner::RailOpeningFeatureBuilder::SetSelectPoint ( NXOpen::Point selectPoint)

Sets the selected point of rail opening feature
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
selectPointselectpoint

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.